Bug 56205 - www/mod_php4 won't install
Summary: www/mod_php4 won't install
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Norikatsu Shigemura
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-08-30 20:20 UTC by Christian Ullrich
Modified: 2004-01-10 16:53 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Ullrich 2003-08-30 20:20:13 UTC
	The www/mod_php4 port hasn't been able to install completely
	on my machine for at least a month:

	===>  Installing for mod_php4-4.3.3,1
	===>   mod_php4-4.3.3,1 depends on file: /usr/local/sbin/apxs - found
	===>   mod_php4-4.3.3,1 depends on file: /usr/local/lib/libcrack.a - found
	===>   mod_php4-4.3.3,1 depends on shared library: curl.2 - found
	===>   mod_php4-4.3.3,1 depends on shared library: freetype.9 - found
	===>   mod_php4-4.3.3,1 depends on shared library: png.5 - found
	===>   mod_php4-4.3.3,1 depends on shared library: jpeg.9 - found
	===>   mod_php4-4.3.3,1 depends on shared library: Xpm.4 - found
	===>   mod_php4-4.3.3,1 depends on shared library: intl.5 - found
	===>   mod_php4-4.3.3,1 depends on shared library: iconv.3 - found
	===>   mod_php4-4.3.3,1 depends on shared library: pq.3 - found
	===>   mod_php4-4.3.3,1 depends on shared library: aspell.15 - found
	===>   mod_php4-4.3.3,1 depends on shared library: recode.3 - found
	===>   mod_php4-4.3.3,1 depends on shared library: odbc.1 - found
	===>   mod_php4-4.3.3,1 depends on shared library: expat.4 - found
	===>   mod_php4-4.3.3,1 depends on shared library: zzip.10 - found
	===>   Generating temporary packing list
	===>  Checking if www/mod_php4 already installed
	Installing PHP SAPI module:       apache2handler
	/usr/local/share/apache2/build/instdso.sh SH_LIBTOOL='/usr/local/share/apache2/build/libtool' libphp4.la /usr/local/libexec/apache2
	/usr/local/share/apache2/build/libtool --mode=install cp libphp4.la /usr/local/libexec/apache2/
	cp .libs/libphp4.so /usr/local/libexec/apache2/libphp4.so
	cp .libs/libphp4.lai /usr/local/libexec/apache2/libphp4.la
	libtool: install: warning: remember to run `libtool --finish /usr/ports/www/mod_php4/work/php-4.3.3/libs'
	chmod 755 /usr/local/libexec/apache2/libphp4.so
	[activating module `php4' in /usr/local/etc/apache2/httpd.conf]
	Installing shared extensions:     /usr/local/lib/php/20020429-zts/
	Installing build environment:     /usr/local/lib/php/build/
	Installing header files:          /usr/local/include/php/
	Installing helper programs:       /usr/local/bin/
	  program: phpize
	  program: php-config
	  program: phpextdist
	touch: /usr/local/lib/php/20020429/.php: No such file or directory
	*** Error code 1
	
	Stop in /usr/ports/www/mod_php4.
	*** Error code 1
	
	Stop in /usr/ports/www/mod_php4.

How-To-Repeat: 	# cd /usr/ports/www/mod_php4
	# make package
Comment 1 Christian Ullrich 2003-10-14 07:01:59 UTC
The culprit seems to be the Makefile in lang/php4, where
the variable EXT_DIR is defined to the wrong value (it
omits the suffix -zts/-non-zts).

-- 
Christian Ullrich
Comment 2 Norikatsu Shigemura freebsd_committer 2003-10-17 09:20:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nork

I'll handle this.
Comment 3 Norikatsu Shigemura freebsd_committer 2004-01-10 16:53:23 UTC
State Changed
From-To: open->closed

Committed, thanks!